com.explodingpixels.widgets

## Enum TrackingSpacer.TrackingDimension

- java.lang.Object
- - java.lang.Enum<TrackingSpacer.TrackingDimension>
  - - com.explodingpixels.widgets.TrackingSpacer.TrackingDimension

All Implemented Interfaces:
  Serializable, Comparable<TrackingSpacer.TrackingDimension>

Enclosing class:
  TrackingSpacer

    public static enum TrackingSpacer.TrackingDimension
    extends Enum<TrackingSpacer.TrackingDimension>

An enumeration representing the dimension of a component to track.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HEIGHT`
`WIDTH`

### Method Summary

Methods
`static TrackingSpacer.TrackingDimension` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TrackingSpacer.TrackingDimension[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WIDTH

    public static final TrackingSpacer.TrackingDimension WIDTH

#### HEIGHT

    public static final TrackingSpacer.TrackingDimension HEIGHT

### Method Detail

#### values

    public static TrackingSpacer.TrackingDimension[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TrackingSpacer.TrackingDimension c : TrackingSpacer.TrackingDimension.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TrackingSpacer.TrackingDimension valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null